Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cxf.headers
Enum Header.Direction

    java.lang.Object
      java.lang.Enum<Header.Direction>
          org.apache.cxf.headers.Header.Direction

All Implemented Interfaces:
  Serializable, Comparable<Header.Direction>

Enclosing class:
  Header

    public static enum Header.Direction

extends Enum<Header.Direction>

Enum Constant Summary
`DIRECTION_IN`
`DIRECTION_INOUT`
`DIRECTION_OUT`

Method Summary
`static Header.Direction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Header.Direction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DIRECTION_IN

    public static final Header.Direction DIRECTION_IN

### DIRECTION_OUT

    public static final Header.Direction DIRECTION_OUT

### DIRECTION_INOUT

    public static final Header.Direction DIRECTION_INOUT

Method Detail

### values

    public static Header.Direction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Header.Direction c : Header.Direction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Header.Direction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Apache CXF